------------------------------------------------------------------------------------
--Name：            200907[简体征服][活动脚本]全球万圣活动(10.27-11.9)-噩梦1
--Creator:      陈莺
--Created:     2020-09-07
------------------------------------------------------------------------------------
--/callluafunc </F>User_PlayPlot</N>72


-- 设置摄像机指向位置(网格坐标)
CppScriptMgr:SetViewPosByCell(93,113)
------------------------------------------------------------
--玩家对象操作接口,Hero、Player、Npc接口都一样
-- 查询/创建，玩家自己
-- 参数：无
-- local hero = CppScriptMgr:QueryHero()
-- hero:SetLook(hero:GetLook(), false, true) 
-- 创建人物接口：CppScriptMgr:AddPlayer(外观look, 坐标x, 坐标y, "名字", id, 角色类型luaPlayerType)
-- local player = CppScriptMgr:AddPlayer(276, 325, 345, "新手勇士", 4003000001)
-- 镜头一
-- CppScriptMgr:AddEffect("meiguihua_01",32,31);
-- CppScriptMgr:WaitMilSec(100)

CppScriptMgr:SetLightScreen(2000);

local XiaoHai1  = CppScriptMgr:AddSimplePlayer(32606, 90,112, "Bad Kid 1", 4003000311,1)
local XiaoHai2  = CppScriptMgr:AddSimplePlayer(32610, 96,106, "Bad Kid 2", 4003000312,1)
local XiaoHai3  = CppScriptMgr:AddSimplePlayer(32624, 96,119, "Bad Kid 3", 4003000313,1)
local XiaoHai4  = CppScriptMgr:AddSimplePlayer(32630, 95,112, "Bullied Kid", 4003000314,1)

XiaoHai1:SetDir(6);
XiaoHai2:SetDir(0);
XiaoHai3:SetDir(4);

local hero = CppScriptMgr:QueryHero();
hero:SetLook(hero:GetLook(), false, true) ;
hero:SetZoomPercent(100)
hero:SetPos(103,116)
hero:SetDir(0)
--3个小孩围着幼年的迈克尔·麦尔斯，口里喊着“小怪物，打死你！”、“动手啊，废物！”、“小渣渣，还手啊！”
-- XiaoHai1:SetAction(190)
XiaoHai1:Say("Little monster! I`ll Kill you!", 2000)
CppScriptMgr:WaitMilSec(2000)

-- XiaoHai2:SetAction(190)
XiaoHai2:Say("Come on! loser!", 2000)
CppScriptMgr:WaitMilSec(2000)

-- XiaoHai3:SetAction(190)
XiaoHai3:Say("Come here! Moron!", 2000)
CppScriptMgr:WaitMilSec(2000)

-- 小迈克尔大喊着“我受够了，是你们逼我的！”，做出“生气”的动作，身上发出“thunder1-2”的光效，接着震屏，小迈克尔变成了巨大的怪物“杀人魔迈克尔麦尔斯”。
-- XiaoHai4:SetAction(160)
XiaoHai4:Say("Please! Please don`t do it!", 2000)
CppScriptMgr:WaitMilSec(2000)

XiaoHai4:Say("I`ve had enough!", 2000)


-- local effectObj = CppScriptMgr:AddEffect("ssch_wlhd_hit", 95, 112);
CppScriptMgr:WaitMilSec(2000)
XiaoHai4:SetPos(20, 30);

CppScriptMgr:AddEffect("SuperXp_coat01",95,111)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("SuperXp_coat01",95,111)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:AddEffect("SuperXp_coat01",95,111)
CppScriptMgr:WaitMilSec(1000)
----刷出boss
local Boss = CppScriptMgr:AddSimplePlayer(1054840, 95, 112, "Michael Myers",4003000315, 1);
Boss:SetZoomPercent(200);
Boss:Say("Go to hell!", 2000)
CppScriptMgr:WaitMilSec(2000)
--出现半身像
CppScriptMgr:NpcCallOut("I`ll kill you all! Muahaha! And then no one will bully me ever again!\n\n\n                                     Press ESC to skip the story.", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc27285", 150, 430, "Michael Myers", 250, 655);
CppScriptMgr:WaitMilSec(1000);

XiaoHai1:RunTo(77, 110);
XiaoHai2:RunTo(92, 86);
XiaoHai3:RunTo(95, 139);

-- XiaoHai1:SetAction(170)
XiaoHai1:Say("Sorry...", 2000)
CppScriptMgr:WaitMilSec(1000)

-- XiaoHai2:SetAction(170)
XiaoHai2:Say("Please forgive me.", 2000)
CppScriptMgr:WaitMilSec(1000)

-- XiaoHai3:SetAction(170)
XiaoHai3:Say("Help!", 2000)
CppScriptMgr:WaitMilSec(1000)


